"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = commitlintConfigGenerator;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _ansiColors = _interopRequireDefault(require("ansi-colors"));

var _pkgManager = _interopRequireDefault(require("../utils/pkgManager"));

function commitlintConfigGenerator() {
  return _commitlintConfigGenerator.apply(this, arguments);
}

function _commitlintConfigGenerator() {
  _commitlintConfigGenerator = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            console.log(_ansiColors["default"].blue('\nConfiguring Commitlint 🔨 🔨'));
            _context.next = 3;
            return _pkgManager["default"].install(['@commitlint/cli', '@commitlint/config-conventional']);

          case 3:
            _context.next = 5;
            return _fsExtra["default"].writeJSON('.commitlintrc.json', {
              "extends": ['@commitlint/config-conventional']
            }, {
              spaces: 2
            });

          case 5:
            console.log(_ansiColors["default"].blue('Commitlint successfully configured 🎉 🎉'));

          case 6:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _commitlintConfigGenerator.apply(this, arguments);
}