"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = editorConfigGenerator;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _ansiColors = _interopRequireDefault(require("ansi-colors"));

var _constants = _interopRequireDefault(require("../constants"));

function editorConfigGenerator() {
  return _editorConfigGenerator.apply(this, arguments);
}

function _editorConfigGenerator() {
  _editorConfigGenerator = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    var file;
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            console.log(_ansiColors["default"].blue('\nConfiguring EditorConfig 🔨 🔨\n'));
            _context.next = 3;
            return _fsExtra["default"].readFile(_path["default"].join(_constants["default"].configFolder, '.editorconfig'));

          case 3:
            file = _context.sent;
            _context.next = 6;
            return _fsExtra["default"].writeFile('.editorconfig', file);

          case 6:
            console.log(_ansiColors["default"].blue('EditorConfig successfully configured 🎉 🎉'));

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _editorConfigGenerator.apply(this, arguments);
}