"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = fullPackagePrompt;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _enquirer = require("enquirer");

var _shared = require("./shared");

function fullPackagePrompt() {
  return _fullPackagePrompt.apply(this, arguments);
}

function _fullPackagePrompt() {
  _fullPackagePrompt = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee() {
    var _yield$prompt, isFullPackage;

    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return (0, _enquirer.prompt)({
              name: 'isFullPackage',
              type: 'toggle',
              message: (0, _shared.primaryColor)('Do you want to integrate all linters?'),
              initial: true,
              onCancel: _shared.onCancel,
              // @ts-ignore | enquirer lack ok types, but it's cool :D
              prefix: _shared.prefix,
              styles: _shared.styles,
              enabled: 'Yes',
              disabled: 'No'
            });

          case 2:
            _yield$prompt = _context.sent;
            isFullPackage = _yield$prompt.isFullPackage;
            return _context.abrupt("return", isFullPackage);

          case 5:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));
  return _fullPackagePrompt.apply(this, arguments);
}